<?php
goweb::loadClass('Zend_Controller_Request_Http');
/**
 * Goweb Sitemanager 5 Framework
 *
 * @version    5.0.0
 * @category   Goweb
 * @package    Goweb
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
 */

class Goweb_Request extends Zend_Controller_Request_Http{
    /**
     * Verifica se um pedido foi feito por ajax/XmlHttp
     *
     * @return bool
     */
    public function isAjax(){
        return $this->isXmlHttpRequest();
    }

    /**
     * Erro da framework
     *
     * @param String $value
     * @return Goweb_Request
     */
    public function setActionName($value)
    {
        $this->_action = $value;
        /**
         * @see ZF-3465
         * stupid, removing from global params?!?!?
         */
        /*if (null === $value) {
            $this->setParam($this->getActionKey(), $value);
        }*/
        return $this;
    }
}